> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a service's monitor runs

GET https://api.getpostman.com/api-catalog/services/{serviceId}/monitor-runs

Gets a list of scheduled monitor runs for a service that includes summary statistics.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-service-monitor-runs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services/{serviceId}/monitor-runs:
    get:
      operationId: getApiCatalogServiceMonitorRuns
      summary: Get a service's monitor runs
      description: >-
        Gets a list of scheduled monitor runs for a service that includes
        summary statistics.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: systemEnvironmentId
          in: query
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: collectionId
          in: query
          description: Filter results to only the given collection ID's runs.
          required: false
          schema:
            $ref: '#/components/schemas/collectionUid'
        - name: sort
          in: query
          description: >-
            Sort the results in field:direction order format. Accepts the
            `timestamp`, `duration`, and `failedAssertions` fields. Supports the
            `asc` and `desc` directions.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceSortMonitorRun'
        - name: environmentId
          in: query
          description: Filter results to only the given environment ID runs.
          required: false
          schema:
            $ref: '#/components/schemas/environmentId'
        - name: status
          in: query
          description: Filter results by run status.
          required: false
          schema:
            $ref: '#/components/schemas/apiCatalogServiceStatusFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogServiceMonitorRuns'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServiceMonitorRunsRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    collectionUid:
      type: string
      format: uid
      title: collectionUid
    apiCatalogServiceSortMonitorRun:
      type: string
      title: apiCatalogServiceSortMonitorRun
    environmentId:
      type: string
      title: environmentId
    apiCatalogServiceStatusFilter:
      type: string
      enum:
        - passed
        - failed
      title: apiCatalogServiceStatusFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogServiceMetadataNextCursorData:
      type: string
      description: The pagination cursor that points to the next record in the results set.
      title: apiCatalogServiceMetadataNextCursorData
    apiCatalogServiceMetadataLimitData:
      type: integer
      description: The maximum number of records in the paginated response.
      title: apiCatalogServiceMetadataLimitData
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    apiCatalogServiceMetadataTotalRunsData:
      type: integer
      description: The total number of runs that match the given filters.
      title: apiCatalogServiceMetadataTotalRunsData
    apiCatalogServiceMetadataPassedRunsData:
      type: integer
      description: The number of successful runs.
      title: apiCatalogServiceMetadataPassedRunsData
    apiCatalogServiceMetadataFailedRunsData:
      type: integer
      description: The number of runs with at least one failure.
      title: apiCatalogServiceMetadataFailedRunsData
    apiCatalogServiceMetadataSuccessRatePctData:
      type: number
      format: double
      description: The percentage of runs that passed, rounded to two decimal places.
      title: apiCatalogServiceMetadataSuccessRatePctData
    GetApiCatalogServiceMonitorRunsMeta:
      type: object
      properties:
        nextCursor:
          $ref: '#/components/schemas/apiCatalogServiceMetadataNextCursorData'
        limit:
          $ref: '#/components/schemas/apiCatalogServiceMetadataLimitData'
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
        totalRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTotalRunsData'
        passedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataPassedRunsData'
        failedRuns:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFailedRunsData'
        successRatePct:
          $ref: '#/components/schemas/apiCatalogServiceMetadataSuccessRatePctData'
      required:
        - nextCursor
        - limit
        - filters
        - timeRange
        - totalRuns
        - passedRuns
        - failedRuns
        - successRatePct
      description: The response's meta information for paginated results.
      title: GetApiCatalogServiceMonitorRunsMeta
    GetApiCatalogServiceMonitorRunsDataItemsStatus:
      type: string
      enum:
        - passed
        - failed
      description: Whether the monitor run passed or failed.
      title: GetApiCatalogServiceMonitorRunsDataItemsStatus
    apiCatalogServiceCollectionData:
      type: object
      properties:
        id:
          type: string
          description: The collection's ID.
        name:
          type:
            - string
            - 'null'
          description: >-
            The collection's name. If the collection was deleted, this returns a
            null value.
      required:
        - id
        - name
      description: Information about the collection.
      title: apiCatalogServiceCollectionData
    apiCatalogServiceEnvironmentData:
      type: object
      properties:
        id:
          type: string
          description: The environment's ID.
        name:
          type:
            - string
            - 'null'
          description: >-
            The environment's name. If the environment was deleted, this returns
            a null value.
      required:
        - id
        - name
      description: Information about the environment.
      title: apiCatalogServiceEnvironmentData
    GetApiCatalogServiceMonitorRunsDataItemsSummary:
      type: object
      properties:
        totalRequests:
          type: integer
          description: The total number of HTTP requests executed in the run.
        failedRequests:
          type: integer
          description: The number of requests that failed.
        totalAssertions:
          type: integer
          description: The total number of test assertions evaluated.
        failedAssertions:
          type: integer
          description: The number of failed assertions.
        durationMs:
          type: integer
          description: The total execution duration, in milliseconds.
      required:
        - totalRequests
        - failedRequests
        - totalAssertions
        - failedAssertions
        - durationMs
      description: Information about the monitor run.
      title: GetApiCatalogServiceMonitorRunsDataItemsSummary
    apiCatalogServicePerformanceData:
      type: object
      properties:
        minResponseMs:
          type: number
          format: double
          description: The fastest individual response time, in milliseconds.
        maxResponseMs:
          type: number
          format: double
          description: The slowest individual response time, in milliseconds.
      required:
        - minResponseMs
        - maxResponseMs
      description: >-
        Information about the response time range across all requests in the
        run.
      title: apiCatalogServicePerformanceData
    GetApiCatalogServiceMonitorRunsDataItems:
      type: object
      properties:
        id:
          type: string
          description: The monitor run's ID.
        status:
          $ref: '#/components/schemas/GetApiCatalogServiceMonitorRunsDataItemsStatus'
          description: Whether the monitor run passed or failed.
        timestamp:
          type: string
          format: date-time
          description: The date and time at which the run completed.
        collection:
          $ref: '#/components/schemas/apiCatalogServiceCollectionData'
        environment:
          $ref: '#/components/schemas/apiCatalogServiceEnvironmentData'
        summary:
          $ref: '#/components/schemas/GetApiCatalogServiceMonitorRunsDataItemsSummary'
          description: Information about the monitor run.
        performance:
          $ref: '#/components/schemas/apiCatalogServicePerformanceData'
      required:
        - id
        - status
        - timestamp
        - collection
        - environment
        - summary
        - performance
      title: GetApiCatalogServiceMonitorRunsDataItems
    getApiCatalogServiceMonitorRuns:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServiceMonitorRunsMeta'
          description: The response's meta information for paginated results.
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetApiCatalogServiceMonitorRunsDataItems'
          description: A list of monitor runs.
      required:
        - meta
        - data
      title: getApiCatalogServiceMonitorRuns
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServiceMonitorRunsRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServiceMonitorRunsRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "nextCursor": null,
    "limit": 5,
    "filters": {
      "systemEnvironmentId": "23b554c1-c30c-483d-bf98-dbe9ab7b88a0"
    },
    "timeRange": {
      "start": "2026-04-14T13:19:51.736Z",
      "end": "2026-04-21T13:19:51.736Z",
      "label": "last_7_days"
    },
    "totalRuns": 1034,
    "passedRuns": 456,
    "failedRuns": 578,
    "successRatePct": 44.1
  },
  "data": [
    {
      "id": "019d9ef1-4441-7d5d-892b-cf280e19c12d",
      "status": "passed",
      "timestamp": "2026-04-18T04:55:04.898Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "12345678-9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "summary": {
        "totalRequests": 16,
        "failedRequests": 0,
        "totalAssertions": 56,
        "failedAssertions": 0,
        "durationMs": 1747
      },
      "performance": {
        "minResponseMs": 17,
        "maxResponseMs": 308
      }
    },
    {
      "id": "019d9eec-b572-7ea0-a76f-be24a3fa9e65",
      "status": "failed",
      "timestamp": "2026-04-18T04:50:06.226Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "12345678-9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "summary": {
        "totalRequests": 16,
        "failedRequests": 0,
        "totalAssertions": 56,
        "failedAssertions": 1,
        "durationMs": 1666
      },
      "performance": {
        "minResponseMs": 20,
        "maxResponseMs": 279
      }
    },
    {
      "id": "019d9ee8-2d69-70ce-aee3-4d45a01dda3b",
      "status": "failed",
      "timestamp": "2026-04-18T04:45:09.245Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "12345678-9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "summary": {
        "totalRequests": 16,
        "failedRequests": 0,
        "totalAssertions": 56,
        "failedAssertions": 1,
        "durationMs": 1506
      },
      "performance": {
        "minResponseMs": 16,
        "maxResponseMs": 250
      }
    },
    {
      "id": "019d9ee3-a669-7e8c-8bb3-f10e7e557081",
      "status": "failed",
      "timestamp": "2026-04-18T04:40:12.552Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "12345678-9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "summary": {
        "totalRequests": 16,
        "failedRequests": 0,
        "totalAssertions": 56,
        "failedAssertions": 1,
        "durationMs": 1815
      },
      "performance": {
        "minResponseMs": 16,
        "maxResponseMs": 355
      }
    },
    {
      "id": "019d9edf-039c-73d5-ab3d-38c4dbacb5c9",
      "status": "passed",
      "timestamp": "2026-04-18T04:35:08.737Z",
      "collection": {
        "id": "12345678-528df970-ceec-45a5-9f72-187ea19ff53b",
        "name": "[PROD] API Control Service"
      },
      "environment": {
        "id": "12345678-9b83df88-9b5c-445b-ac23-460c37897340",
        "name": "[PROD] API Control Service"
      },
      "summary": {
        "totalRequests": 16,
        "failedRequests": 0,
        "totalAssertions": 56,
        "failedAssertions": 0,
        "durationMs": 1607
      },
      "performance": {
        "minResponseMs": 18,
        "maxResponseMs": 325
      }
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs"

querystring = {"systemEnvironmentId":"23b554c1-c30c-483d-bf98-dbe9ab7b88a0"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6/monitor-runs?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```